# FoundationClasses
TKMath
Convert

# Convert_SphereToBSplineSurface Class Reference

This algorithm converts a bounded Sphere into a rational
B-spline surface. The sphere is a Sphere from package gp.
The parametrization of the sphere is
P (U, V) = Loc + Radius * Sin(V) * Zdir +
Radius * Cos(V) * (Cos(U)*Xdir + Sin(U)*Ydir)
where Loc is the center of the sphere Xdir, Ydir and Zdir are the
normalized directions of the local cartesian coordinate system of
the sphere. The parametrization range is U [0, 2PI] and
V [-PI/2, PI/2].
KeyWords :
Convert, Sphere, BSplineSurface.
.

`#include <Convert_SphereToBSplineSurface.hxx>`

Inheritance diagram for Convert_SphereToBSplineSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_SphereToBSplineSurface (const gp_Sphere &Sph, const Standard_Real U1, const Standard_Real U2, const Standard_Real V1, const Standard_Real V2)
| The equivalent B-spline surface as the same orientation as the sphere in the U and V parametric directions. Raised if U1 = U2 or U1 = U2 + 2.0 * Pi Raised if V1 = V2. .
Standard_EXPORT | Convert_SphereToBSplineSurface (const gp_Sphere &Sph, const Standard_Real Param1, const Standard_Real Param2, const Standard_Boolean UTrim=Standard_True)
| The equivalent B-spline surface as the same orientation as the sphere in the U and V parametric directions. Raised if UTrim = True and Param1 = Param2 or Param1 = Param2 + 2.0 * Pi Raised if UTrim = False and Param1 = Param2 .
Standard_EXPORT | Convert_SphereToBSplineSurface (const gp_Sphere &Sph)
| The equivalent B-spline surface as the same orientation as the sphere in the U and V parametric directions. .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_SphereToBSplineSurface::Convert_SphereToBSplineSurface | ( | const gp_Sphere & | Sph,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Standard_Real | V1,
|  | const Standard_Real | V2
| ) |

Standard_EXPORT Convert_SphereToBSplineSurface::Convert_SphereToBSplineSurface | ( | const gp_Sphere & | Sph,
|  | const Standard_Real | Param1,
|  | const Standard_Real | Param2,
|  | const Standard_Boolean | UTrim = `Standard_True`
| ) |

Standard_EXPORT Convert_SphereToBSplineSurface::Convert_SphereToBSplineSurface | ( | const gp_Sphere & | Sph | ) |

## Member Function Documentation

void Convert_SphereToBSplineSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_SphereToBSplineSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_SphereToBSplineSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

The documentation for this class was generated from the following file:

- Convert_SphereToBSplineSurface.hxx